com::lomiri::location::ProviderSelection Struct Reference

`#include <provider_selection.h>`

Collaboration diagram for com::lomiri::location::ProviderSelection:

## Public Member Functions

Provider::Features | to_feature_flags () const

## Public Attributes

std::shared_ptr< Provider > | position_updates_provider
std::shared_ptr< Provider > | heading_updates_provider
std::shared_ptr< Provider > | velocity_updates_provider

## Detailed Description

Definition at line 31 of file provider_selection.h.

## Member Function Documentation

## to_feature_flags()

Provider::Features com::lomiri::location::ProviderSelection::to_feature_flags | ( |  | ) | const

inline

Definition at line 33 of file provider_selection.h.

References com::lomiri::location::Provider::heading, heading_updates_provider, com::lomiri::location::Provider::none, com::lomiri::location::Provider::position, position_updates_provider, com::lomiri::location::Provider::velocity, and velocity_updates_provider.

## Member Data Documentation

## heading_updates_provider

std::shared_ptr<Provider> com::lomiri::location::ProviderSelection::heading_updates_provider

Definition at line 48 of file provider_selection.h.

Referenced by com::lomiri::location::operator==(), and to_feature_flags().

## position_updates_provider

std::shared_ptr<Provider> com::lomiri::location::ProviderSelection::position_updates_provider

Definition at line 47 of file provider_selection.h.

Referenced by com::lomiri::location::operator==(), and to_feature_flags().

## velocity_updates_provider

std::shared_ptr<Provider> com::lomiri::location::ProviderSelection::velocity_updates_provider

Definition at line 49 of file provider_selection.h.

Referenced by com::lomiri::location::operator==(), and to_feature_flags().

The documentation for this struct was generated from the following file:

- provider_selection.h